diff options
author | Hennadii Stepanov <32963518+hebasto@users.noreply.github.com> | 2020-03-26 12:28:44 +0200 |
---|---|---|
committer | Hennadii Stepanov <32963518+hebasto@users.noreply.github.com> | 2020-03-26 14:57:14 +0200 |
commit | 25c8b73656c90f7b78a90f25c5bcc308f8b7c598 (patch) | |
tree | ae2c82a6ce4373e012735338276fb7a7a8be808e /ci/test | |
parent | 596c627a1eb2b32e2755ae5b9bf32235cf8ce72b (diff) |
ci: Use Homebrew addon on native macOS
Also the macOS image has been updated.
Diffstat (limited to 'ci/test')
-rw-r--r-- | ci/test/00_setup_env_mac_host.sh | 1 | ||||
-rwxr-xr-x | ci/test/04_install.sh | 19 |
2 files changed, 0 insertions, 20 deletions
diff --git a/ci/test/00_setup_env_mac_host.sh b/ci/test/00_setup_env_mac_host.sh index 0b437a723f..5753c3af31 100644 --- a/ci/test/00_setup_env_mac_host.sh +++ b/ci/test/00_setup_env_mac_host.sh @@ -7,7 +7,6 @@ export LC_ALL=C.UTF-8 export HOST=x86_64-apple-darwin16 -export BREW_PACKAGES="automake berkeley-db4 libtool boost miniupnpc pkg-config qt qrencode python3 ccache zeromq" export PIP_PACKAGES="zmq" export RUN_CI_ON_HOST=true export RUN_UNIT_TESTS=true diff --git a/ci/test/04_install.sh b/ci/test/04_install.sh index 8ffbc551c0..acf7eeb920 100755 --- a/ci/test/04_install.sh +++ b/ci/test/04_install.sh @@ -14,27 +14,8 @@ if [[ $QEMU_USER_CMD == qemu-s390* ]]; then fi if [ "$TRAVIS_OS_NAME" == "osx" ]; then - set +o errexit - pushd /usr/local/Homebrew || exit 1 - git reset --hard origin/master - popd || exit 1 - set -o errexit - ${CI_RETRY_EXE} brew update - # brew upgrade returns an error if any of the packages is already up to date - # Failure is safe to ignore, unless we really need an update. - brew upgrade $BREW_PACKAGES || true - - # install new packages (brew install returns an error if already installed) - for i in $BREW_PACKAGES; do - if ! brew list | grep -q $i; then - ${CI_RETRY_EXE} brew install $i - fi - done - export PATH="/usr/local/opt/ccache/libexec:$PATH" - ${CI_RETRY_EXE} pip3 install $PIP_PACKAGES - fi mkdir -p "${BASE_SCRATCH_DIR}" |